light-mode-image
Learn
API ReferenceInteraction hook

Retrieve Interaction Hook

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_STARTCREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_SUCCESSCREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_FAIL
GET/v1/openid/configuration

Retrieves the Interaction Hook configuration from your tenant.

Analytic events

  • CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_START
  • CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_SUCCESS
  • CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.vii.au01.mattr.global/v1/openid/configuration"
{
  "interactionHook": {
    "url": "https://example-university.com/callback",
    "claims": [
      "first_name",
      "last_name",
      "email"
    ],
    "sessionTimeoutInSec": 1200,
    "disabled": false,
    "secret": "dGtUrijBOT6UUJ8JO4kAFyGfhahDlVVeIk/sPbWTa7c="
  }
}

How would you rate this page?

Configure Interaction Hook PUT

Configure the Interaction Hook for the OpenID4VCI protocol on your tenant. Many credential issuance journeys require the issuer to perform custom interactions with the user. This could be gathering more information, performing additional authentication steps (E.g, 2FA, MFA or biometric checks) or communicating the terms of service. To facilitate this requirement, you can configure MATTR VII to invoke an interaction hook which will redirect the user to a custom component during the credential issuance journey. This redirect happens **after** the user is authenticated with your configured identity provider but **before** the credential is issued to the user. Upon successful completion of the interaction hook, your custom component will redirect the user back to their digital wallet to complete the credential issuance flow. Your interaction hook component can be either a web or native application.  We recommend using a web interface because it's more compatible with most scenarios. <Callout> You can only configure one interaction hook on your MATTR VII tenant. If you require several custom interactions as part of the credential issuance workflow, they should all be linked into a single interaction hook component. </Callout> ### **Analytic events** * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_START * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_SUCCESS * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_FAIL

Configure a claims source POST

Configures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential. ### **Analytic event** * CLAIM_SOURCE_CREATE_START * CLAIM_SOURCE_CREATE_SUCCESS * CLAIM_SOURCE_CREATE_FAIL